Page MenuHomePhabricator

Standardise `.mw-infobox` by relying on `.warningbox`
Open, Needs TriagePublic

Description

.mw-infobox is in use solely by [[ https://codesearch.wmflabs.org/search/?q=Html%3A%3AinfoBox&i=nope&files=&repos= | Html::infoBox ]] by Web-Installer.
It shouldn't receive different color appearance other than one of the standard boxes .warningbox or .messagebox as they are also available in 'shared.css' and are aligned to Design Style Guide.

CurrentProposed

This has last been touched ~8 years ago.

Dev notes
  • Remove all extra visual properties aside of pure box layout properties
  • Replace outdated PNG icon with current standard icon and consider SVG

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 13 2019, 11:54 PM
Volker_E renamed this task from Extend `.mw-infobox` should be replaced by `.warningbox` to Standardise `.mw-infobox` by relying on `.warningbox`.Sep 14 2019, 3:13 AM
Volker_E updated the task description. (Show Details)
Volker_E added subscribers: Krinkle, hashar, Jdlrobson.
Volker_E updated the task description. (Show Details)Sep 14 2019, 5:57 AM

If I had been subscribed due to having touched that code at some point, I am largely outdated about MediaWiki nowadays :-\ It seems that originate from a069d8bde08c996836333107426c411366cfeb7e which has been done during the Berlin Hackathon in 2011 with @Freakolowsky . If I remember properly, the intent was to provide some easy and normalized way to generate message back to users, be it notice, warning or error.

It seems like MediaWiki nowadays have nicer boxes for that. Html::InfoBox has no more usage found in https://codesearch.wmflabs.org/ at least, though some third parties might still rely on it. Anyway, yes please be bold and the method should be deprecated for REL1_34

@hashar That was the reason for tagging you here, yes. :)
Your take is similar to what I've had in mind. So the remaining question is, should we move infoBox to the web installer or just replace it, deprecate and remove it?

Given we now have .messagebox and .warningbox, if the shared.css style is applied to the installer pages, I see no reason for not using them. So the later option I guess, migrate to the new standard and deprecate the barely used and dated method that nobody uses anyway.

The process for deprecation is https://www.mediawiki.org/wiki/Deprecation_policy

We should get the change in soon since MediaWiki 1.34 is about to be cut (though we can still do a backport).

Change 537244 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Deprecate Html::infoBox

https://gerrit.wikimedia.org/r/537244

Change 537245 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] [WIP] Replace infobox usages and extend warningbox and errorbox

https://gerrit.wikimedia.org/r/537245

Change 537245 merged by jenkins-bot:
[mediawiki/core@master] Replace infobox usages and extend successbox, warningbox and errorbox

https://gerrit.wikimedia.org/r/537245

Volker_E updated the task description. (Show Details)Sep 25 2019, 2:47 AM

Tagging as 1.35 reminder to remove the then-deprecated WebInstaller methods and then-obsolete Html method.

Change 537244 merged by jenkins-bot:
[mediawiki/core@master] installer: Deprecate WebInstaller::getInfoBox, getWarningBox and getErrorBox

https://gerrit.wikimedia.org/r/537244